Subject: Re: [PATCH 0/7] net: dsa: add QCA AR8xxx switch family support

From: Andrew Lunn <[email-masked]>
Date: Fri, 29 May 2015 04:00:01 +0200

On Thu, May 28, 2015 at 06:42:15PM -0700, Mathieu Olivari wrote:
> This patch set adds initial support for AR8xxx switches using the DSA
> subsystem. It currently supports QCA8337 switch, and can be extended to
> other hardware in the same family.
> 
> This switch was already discussed in the following thread:
> https://www.marc.info/?t=142601417400004&r=1&w=2
> 
> Below is a typical picture of a QCA8337 used in a standard home gateway
> configuration:
> 
> 	+-----------+       +-----------+
> 	|           | SGMII |           |
> 	|       eth0+-------+           +------ 1000baseT MDI ("WAN")
> 	|        wan|       |  7-port   +------ 1000baseT MDI ("LAN1")
> 	|   CPU     |       |  ethernet +------ 1000baseT MDI ("LAN2")
> 	|           | RGMII |  switch   +------ 1000baseT MDI ("LAN3")
> 	|       eth1+-------+  w/5 PHYs +------ 1000baseT MDI ("LAN4")
> 	|        lan|       |           |
> 	+-----------+       +-----------+
> 	          |   MDIO     |
> 	          \------------/
> 
> The switch is connected to the CPU using 2 xMII interfaces. As DSA only
> supports one logical interface to the switch, we split the switch using
> device-tree information into 2 parts:
> *port 6 (one of the xMII switch port) will be dedicated to one
>  particular Ethernet port. From a system perspective, it will be seen as
>  a regular PHY.
> *port 0 (the other xMII port) will act as the switch master interface

FYI:

I have patches which allow DSA to use two cpu interfaces. Seems to
work on my DIR665 with a Marvell Switch.

I will post the patches as an RFC.

  Andrew